using System;
using System.Windows.Forms;
using System.Threading;

namespace CRVM
{
    static class Program
    {
        /// <summary>
        /// 应用程序的主入口点。
        /// </summary>
        [STAThread]
        static void Main()
        {
            bool create;
            using (Mutex mu = new Mutex(true, Application.ProductName, out create))
            {
                if (create)
                {
                    Application.EnableVisualStyles();
                    Application.SetCompatibleTextRenderingDefault(false);
                    Application.Run(new IClientMainForm());
                    //Application.Run(new AlarmShowForm(null));
                }
                else
                {
                    MessageBox.Show("程序正在运行！");
                }
            }
        }
    }
}
